vfs_cancel_lock
Prev | File Locks | Next

## Name

vfs_cancel_lock — file byte range unblock lock

## Synopsis

`int vfs_cancel_lock (` | struct file * | filp,
| struct file_lock * | fl`)`;

## Arguments

`filp`

  The file to apply the unblock to

`fl`

  The lock to be unblocked

## Description

Used by lock managers to cancel blocked requests

Prev | Up | Next
posix_unblock_lock | Home | lock_may_read